package Personajes;
import java.util.*;
 
 public class Personaje{

    	public int pass, hp,hp_max,pp,pp_max,atc,def,suerte,agilidad,exp,dinero,nivel,tipo;
        public int atc1,atc2,atc3,result,dinero_rob;
        public boolean aprender,robo;
        public int posicion;
    	public int contObj1,contObj2,contObj3;
    	public int cC1=0,cC2=0,cC3=0,cE1=0,cE2=0,cE3=0;
    	public int bisera=0, gorra=0, casco=0;
    	public int espada=0, dobles=0, hacha=0;
    	public String nombre,mote,atc1_nom,atc2_nom,atc3_nom;
        public String atc1_def, atc2_def,atc3_def;
        public boolean mision2,objtmision2;
        public int mis1_vill1_fin,mis2_vill1_fin;
    	
    	public Personaje(){
    		atc = 0;
    	}	
      	public int Atacar(){
                Random rand = new Random();
                int azar = rand.nextInt(suerte+1);
    		return (atc+azar);
    	}    	
    	public int Defensa(int ataque){
                Random rand = new Random();
                int azar = rand.nextInt(agilidad+1);
    		if (ataque>(def+azar)){
    		hp=hp-(ataque-def-azar);
                if (hp < 0){
                    hp = 0;
                }
    		}
    		return 	hp;
    	}   	 	
    	public int usarEter (){
    		if (contObj3 >=1){
    			pp = pp + 10;
    			if ( pp > pp_max){
					pp = pp_max;
				}
    			contObj3 = contObj3 - 1;
    		}
    		else {
    			System.out.println("No tienes suficientes eters. Compra en la tienda");
    		}
    		return pp;
    	}

        public void AprenderAtac(Personaje pers){
            switch (pers.tipo){
                case 1: Elfo elf = new Elfo(); elf.AprenderAtac(pers); break;
                case 2: Mago mag = new Mago(); mag.AprenderAtac(pers); break;
                case 3: Ladron lad = new Ladron(); lad.AprenderAtac(pers); break;
                case 4: Orco orc = new Orco(); orc.AprenderAtac(pers); break;
                case 5: Soldado sold = new Soldado(); sold.AprenderAtac(pers); break;
                default: break;
        }
        }
}
